Subject: Re: bug#23566: sql-sqlite: selecting database file is crippled)

From: [email-masked]
Date: Sat, 07 Jan 2017 12:01:28 -0500

tags 23566 fixed
close 23566 26.1
quit

Rolf Ade <[email-masked]> writes:
>
> Sorry for any confusion - due to new years holidays I'm not on my main
> box and I missed in my last patch the part "allow creation of new SQLite
> database files".

No worries, things like this are why I usually let patches "rest" a few
days before pusing.  I've now pushed this to master.

2017-01-05 20:20:42 -0500 4873b57b8e48c068d285e229ea29a18cf5c6cc7a
  Fix selecting SQLite database files with sql-mode (Bug#23566)

>
> Commit message:
>
> Fix selecting SQLite database files with sql-mode (bug#23566)
>
> * lisp/progmodes/sql.el (sql-sqlite-login-params): Allow any name as
> SQLite database file name, by default.
> (sql-get-login-ext): Fixed read-file-name arguments to provide
> path completion even if a database name pattern is customized and to
> allow creation of new SQLite database files.
>
> Copyright-paperwork-exempt: yes

>
> diff --git a/lisp/progmodes/sql.el b/lisp/progmodes/sql.el

By the way, if you're using git already, calling 'git format-patch'
gives a file containing both the patch and commit message together in a
format that can be easily applied with 'git am'.